AOZ Studio Beta - Bug #780

Amiga Commands which have NOT been implemented should NOT crash AOZ or cause syntax
errors.

06/12/2021 12:19 AM - Brian Flanagan

Status: Resolved Start date: 06/11/2021
Priority: Low Due date:

Assignee: % Done: 0%
Category: Estimated time: 24:00 hours
Target version: none

Affected version: 1.0.0 (B8)

Description

They should either be ignored, or display the error "Instruction THIS_INST not implemented" or
"Function THIS_FUNC not implemented". The behavior should be selectable via "Settings" or via a tag.
In any case, they should never cause syntax errors or transpiler crashes.

Those who may want to Ignore the unimplemented commands would likely be those who are either porting AMOS Pro programs to
AOZ, or who want to export AOZ programs to the Amiga.

(It's difficult to determine how long this would take, since there are quite a few un-implemented commands!)

History

#1 - 06/12/2021 08:01 AM - David Baldwin

Examples? As far as | know, most non-implemented commands just have a blank function or instruction entry in languages so they are ignored.

#2 - 06/15/2021 02:16 PM - Brian Flanagan

This is LOW priority...
With that said, yes, many of the commands are ignored, but there are also many exceptions.

| have gone through those starting with A - D:

Bgrab Syntax error

Bsend Syntax error

=Bstart (bn) Syntax error AND non-dimensioned array error.

Close Editor Illegal function call. (because Command Not recognized)

=Command Line$ Syntax error

Cop Wait x,y Syntax error

Cop Wait x,y,xmask, ymask Syntax error

Def FN FuncName (FuncParam)=fun Syntax error

Del Bob bNum Internal error

Del Icon iNum Internal error

Del Sprite sNum Internal error

Del Wave wNum Internal error

=Dev Base (channel) Syntax error

Dev Open chan, "dev",iolen,unit,Flags$ Syntax error/type mismatch

=Dialog Box (db$) Syntax error

=Dialog Box (db$,v,p$,x,Vy) Syntax error

Dialog Open c,I$,n,b Type mismatch (The simple form is ignored as it should be.)

=Dialog Run(c,IS$,x,y) Type mismatch (The simple form is ignored as it should be.)

Dir/wW Syntax error

Direct Stops AOZ code from running. We *should* just make this open Direct Mod

e.

Disc Info (path$) Causes File not found when used with "assign" (path$="application:")
NOTE: Works with filename. (path$="info.txt")

Also NOTE: Dir "application:" works fine.

I'll go through more when | have time.

#3 - 07/15/2021 03:11 PM - Francois Lionet

- Status changed from New to Resolved

All fixed! Can you continue after "D"? ;)
